/*
 * @Author: SunTao 328867980@qq.com
 * @Date: 2024-10-25 14:44:22
 * @LastEditors: SunTao 328867980@qq.com
 * @LastEditTime: 2024-10-25 16:25:39
 * @FilePath: \znxjxt-ui\src\api\xj\screen\road-screen.js
 * @Description: 道路资产大屏接口
 */
import request from "@/utils/request";

// 路面状况排名接口
export function roadRankStatistics(query) {
    return request({
      url: "/bigscreen/v2/getRoadStatistics",
      method: "get",
      params: query,
    });
  }


//   附属设施分布接口
export function ancillaryList(query) {
    return request({
      url: "/bigscreen/v2/getEquipmentScale",
      method: "get",
      params: query,
    });
  }

//   附属设施分布累计路产数
export function ancillaryCount(query) {
    return request({
      url: "/bigscreen/v2/getEquipmentCount",
      method: "get",
      params: query,
    });
  }


// 附属设施异常统计接口
export function anomalyList(query) {
    return request({
      url: "/bigscreen/v2/getEquipmentAnomalyLog",
      method: "get",
      params: query,
    });
  }

//  路产统计信息接口
export function roadStatisticList(query) {
    return request({
      url: "/bigscreen/v2/getEquipmentStatistics",
      method: "get",
      params: query,
    });
  }
